<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

/*
$_POST['Codigo']='1417001';
$_POST['ubicacionInicial']='10-00-02-00';
$_POST['ubicacionFinal']='31-01-09-01';
$_POST['cantidad']='1';
$_POST['lote']='20171229';
*/

//añadido 19-4-2021 por error en Acrylicos, donde se usa y daba error al no utilizarlo, entonces no validaba ubicar porque no encontraba el producto
$fechaCaducidad=fechaParaProxium(fechaMysql($_POST['fechaCaducidad']));


if($_SESSION['gestionPaletizado']=='S') {
	
	
	if($ubicarEspecialBenimar && $_SESSION['almacen']!=1) {
		$peticion='SGAUbicarBENIMAR#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#UBICAR#'.$_SESSION['almacen'].';'.$_POST['contenedor'].';'.$_POST['ubicacion'];
	}
	else {
		$peticion='SGAUbicar#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#UBICAR#'.$_SESSION['almacen'].';'.$_POST['contenedor'].';'.$_POST['ubicacion'];
	}
	
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
	if($_GET['traza']=='si') {
		echo "<p>".$peticion."</p>";
		print_r($resultado);
	}
}
else {

	// $informarUnidadesPorCaja es un parámetro de config.php creado expresamente para Acrylicos
	// convierteCodigoEmbalaje($Codigo,$EmbalajePrimario) está definida en: librerias/funciones-generales.php
	if($informarUnidadesPorCaja) $codigoConvertido=convierteCodigoEmbalaje($_POST['codigo'],$_POST['embalajePrimario']);
	else $codigoConvertido=$_POST['codigo'];

	//Primero comprobamos que el código de producto existe
	$peticion='SGAUtils#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#BUSCACODIGO#'.$codigoConvertido;
	
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
	if($_GET['traza']=='si') {
		echo "<p>".$peticion."</p>";
		print_r($resultado);
	}
	
	$valores=explode('#',$resultado[0]['Error']);
	
	if($valores[0]=='0') {

		$peticion='SGAUbicar#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#VALIDA#'.$_SESSION['almacen'].';-;'.$_POST['ubicacionFinal'].';'.$codigoConvertido.';'.$_POST['lote'].';'.$_POST['cantidad'].';'.$_POST['ubicacionInicial'].';'.$fechaCaducidad;
		
		$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
		
		if($_GET['traza']=='si') {
			echo "<p>".$peticion."</p>";
			print_r($resultado);
		}
		
		if($resultado[0]['Error']=='0#OK') {
		
			$peticion='SGAUbicar#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#UBICAR#'.$_SESSION['almacen'].';-;'.$_POST['ubicacionFinal'].';'.$codigoConvertido.';'.$_POST['lote'].';'.$_POST['cantidad'].';'.$_POST['ubicacionInicial'].';'.$fechaCaducidad;
		
			$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
			
			if($_GET['traza']=='si') {
				echo "<p>".$peticion."</p>";
				print_r($resultado);
			}
		}
		
	}
}

echo $resultado[0]['Error'];


?>